{% extends "base.html" %}
{% block body %}
  <div class="p-5 mb-4 bg-light rounded-3">
      <div class="container-fluid">
        <h1 class="display-5 fw-bold">{{ data.uniteLegale.denominationUniteLegale }}</h1>
        <p class="col-md-8 fs-4">Siret : {{ siret }}</p>
      </div>
      <form id="siret_form" action="{{ url_for('write_data') }}" method="POST">

        <div class="row">
          <!-- Company part -->
          <div class="col-md-3 py-2">
            <label for="input1" class="form-label">Raison Sociale</label>
            <input type="text" class="form-control" id="input1" disabled value="{{ data.uniteLegale.denominationUniteLegale }}">
          </div>
          <div class="col-md-3 py-2">
            <label for="input2" class="form-label">Code APE (Unité légale)</label>
            <input type="text" class="form-control" id="input2" disabled value="{{ data.uniteLegale.activitePrincipaleUniteLegale }}">
          </div>
          <div class="col-md-3 py-2">
            <label for="input3" class="form-label">Nombre employés (tranche)</label>
            <input type="text" class="form-control" id="input3" disabled value="{{ data.trancheEffectifsEtablissement }}">
          </div>
          <div class="col-12 py-2">
            <label for="inputAddress2" class="form-label">Adresse</label>
            <input type="text" class="form-control" id="inputAddress2" disabled value="{{ data.adresseEtablissement.numeroVoieEtablissement }} {{ data.adresseEtablissement.typeVoieEtablissement }} {{ data.adresseEtablissement.libelleVoieEtablissement}}">
          </div>
          <div class="col-md-6 py-2">
            <label for="inputCity" class="form-label">Ville</label>
            <input type="text" class="form-control" id="inputCity" disabled value="{{ data.adresseEtablissement.libelleCommuneEtablissement }}">
          </div>
          <div class="col-md-2 py-2">
            <label for="inputZip" class="form-label">Code postal</label>
            <input type="text" class="form-control" id="inputZip" disabled value="{{  data.adresseEtablissement.codePostalEtablissement }}">
          </div>
          <!-- Hidden input for the SIRET number -->
          <input type="hidden" name="siret_field_value" value="{{ siret }}">

          <!-- Separator -->
          <div class="col-12 py-2">
              <hr class="my-4">
          </div>

          <!-- Contact part -->
          <div class="container-fluid">
            <h1 class="display-5 fw-bold">Contact</h1>
            <p class="col-md-8 fs-4">Renseignez les informations du contact</p>
          </div>

          <!--Fields-->
          <div class="col-md-4 py-2">
            <label for="input_first_name" class="form-label">Prénom du contact</label>
            {% if data.first_name_field %}
              <input type="text" class="form-control" id="input_first_name" name="first_name_field" value="{{ data.first_name_field }}" disabled>
            {% else %}
              <input type="text" class="form-control" id="input_first_name" placeholder="Jean" name="first_name_field" required>
            {% endif %}
          </div>
          <div class="col-md-4 py-2">
            <label for="input_last_name" class="form-label">Nom du contact</label>
            {% if data.last_name_field %}
                <input type="text" class="form-control" id="input_last_name" name="last_name_field" oninput="this.value = this.value.toUpperCase()" value="{{ data.last_name_field }}" disabled>
            {% else %}
                <input type="text" class="form-control" id="input_last_name" placeholder="DUPONT" name="last_name_field" oninput="this.value = this.value.toUpperCase()" required>
            {% endif %}
          </div>
          <div class="col-md-4 py-2">
            <label for="input_phone" class="form-label">Téléphone du contact</label>
            {% if data.phone_field %}
                <input type="text" class="form-control" id="input_phone" name="phone_field" maxlength=10 value="{{ data.phone_field }}" disabled>
            {% else %}
                <input type="text" class="form-control" id="input_phone" placeholder="06 12 34 56 78" name="phone_field" maxlength=10 required>
            {% endif %}
          </div>
          <div class="col-md-6 py-2">
            <label for="input_role" class="form-label">Fonction du contact</label>
            {% if data.role_field %}
                <input type="text" class="form-control" id="input_role" name="role_field" value="{{ data.role_field }}" disabled>
            {% else %}
                <input type="text" class="form-control" id="input_role" placeholder="Responsable d'équipe" name="role_field" required>
            {% endif %}
          </div>
          <div class="col-md-6 py-2">
            <label for="input_mail" class="form-label">Mail du contact</label>
            {% if data.mail_field %}
                <input type="email" class="form-control" id="input_mail" name="mail_field" value="{{ data.mail_field }}" disabled>
            {% else %}
                <input type="email" class="form-control" id="input_mail" placeholder="jean.dupont@gmail.com" name="mail_field" required>
            {% endif %}
          </div>
          {% if data.mail_field %}
            <div class="alert alert-warning my-2 text-center" role="alert">
              Un contact a déjà été renseigné, si vous souhaitez en ajouter un autre différent, cliquez sur le bouton ci-dessous.
            </div>
          {% endif %}

          <!-- Button to add a contact-->
            <div class="col-md-6 py-2">
                <button type="button" class="btn btn-primary btn-lg" onclick="addContact()" id="add_button">
                  <i class="bi bi-plus"></i>
                  Ajouter un autre contact
                </button>
            </div>

          <div class="contact-2"></div>
          <!-- Separator -->
          <div class="col-12 py-2">
              <hr class="my-4">
          </div>

          <!-- Student part -->
          <div class="container-fluid">
            <h1 class="display-5 fw-bold">Etudiant</h1>
            <p class="col-md-8 fs-4">Renseignez vos informations</p>
          </div>

          <div class="col-md-4 py-2">
            <label for="input_lastname_student" class="form-label">Nom</label>
            <input type="text" class="form-control" id="input_lastname_student" placeholder="Votre nom" name="student_lastname_field" oninput="this.value = this.value.toUpperCase()" required>
          </div>
          <div class="col-md-4 py-2">
            <label for="input_name_student" class="form-label">Prenom</label>
            <input type="text" class="form-control" id="input_name_student" placeholder="Votre prénom" name="student_name_field" required>
          </div>
          <div class="col-md-4 py-2">
            <label for="input_promo_student" class="form-label">Promo</label>
            <input type="text" class="form-control" id="input_promo_student" placeholder="Votre promo" name="student_promo_field" required>
          </div>

        <div class="col-md-12 py-2">
            <button type="submit" id="btn_sub" class="btn btn-primary btn-lg" style="width: 100%">Valider</button>
          </div>
      </div>
      </form>
  </div>
<script src="{{ url_for('static', filename='form-utils.js') }}"></script>

{% endblock %}